import os
def getList():
	procs = {}
	for root,dirs,files in os.walk("/proc"):
		for file in dirs:
			try:
				pid = (root + "/" + file).replace("/proc/","",1)
				for char in pid:
					if not (char in "0123456789"):
						pid = None
						break
				if pid == None: continue
				info = {}
				info["pid"] = pid
				info["bin"] = os.path.realpath("/proc/" +pid+ "/exe")
				info["binSimple"] = info["bin"].rsplit(os.path.sep,1)[-1]
				info["cmdlineSimple"] = open("/proc/" +pid+ "/cmdline","rb").read().split(b"\x00")
				index = 0
				length = len(info["cmdlineSimple"])
				while index < length:
					info["cmdlineSimple"][index] = info["cmdlineSimple"][index].decode("utf-8")
					index += 1	
				info["cmdlineSimple"] = " ".join(info["cmdlineSimple"])[:-1]
				procs[pid] = info
			except Exception:
				pass
		break
	return procs

_g.proc = globals()
