import gi
gi.require_version("Gtk","3.0")
gi.require_version("Wnck","3.0")
from gi.repository import Gtk, Wnck
import traceback

def init():
	wnck_scr = Wnck.Screen.get_default()
	wnck_scr.force_update()
	wnck_scr.connect("active-window-changed",sWindowChanged)
	sWindowChanged(wnck_scr,None)
	Gtk.main()

def sWindowChanged(screen, previous_window):
	window = screen.get_active_window()
	for module in _g.modules:
		try:
			module["windowChanged"](window)
		except Exception:
			print(traceback.format_exc())

def getWindowPID(window):
	try:
		return str(window.get_pid())
	except:
		return "0"

_g.windowSystem = globals()
